/* putil.h*/
#ifndef PUTIL_H
#define PUTIL_H

#include <azprolog.h>

#define MAX_ADDR_SIZE   256


#define PARG(n,i)       (next_var_cell - n + i)
#define ALL_BEGIN(fp) \
  if (HP_GE(next_var_cell, var_bottom))	\
    LocalOverflow();			\
  fp->Local = next_var_cell;	\
  fp->Global = next_gvar_cell;	\
  fp->Trail = trail_register;	\
  fp->nVars = 0

/*
extern void yield_error();
#define ERROR(n)         yield_error(n)
*/

extern char* pu_redis_prolog_list_to_string(TERM* t, char **pp);
extern int   pu_redis_is_prolog_string(TERM* t);

#endif /* PUTIL_H */
